#ifndef CAMERAPARAM_H
#define CAMERAPARAM_H

#include <QWidget>

QT_BEGIN_NAMESPACE
namespace Ui { class CameraParam; }
QT_END_NAMESPACE

class CameraParam : public QWidget
{
    Q_OBJECT

public:
    CameraParam(QWidget *parent = nullptr);
    ~CameraParam();

    void setIndex(const QString& index);
    void setTitle(const QString& title);
    void setState(const QString& state);

private:
    void initUI();
    void createConnections();

private:
    Ui::CameraParam *ui;
};
#endif // CAMERAPARAM_H
